AI Completion
curl --request POST \
--url https://api.dualship.run/api/v1/ai/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"content": "<string>"
}
],
"workspace_id": "<string>",
"max_tokens": 8192,
"model": "<string>",
"stream": true,
"temperature": 1
}
'import requests
url = "https://api.dualship.run/api/v1/ai/complete"
payload = {
"messages": [{ "content": "<string>" }],
"workspace_id": "<string>",
"max_tokens": 8192,
"model": "<string>",
"stream": True,
"temperature": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: '<string>'}],
workspace_id: '<string>',
max_tokens: 8192,
model: '<string>',
stream: true,
temperature: 1
})
};
fetch('https://api.dualship.run/api/v1/ai/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": "<string>",
"finish_reason": "<string>",
"input_tokens": 123,
"model": "<string>",
"output_tokens": 123
}{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}{
"code": "SERVICE_UNAVAILABLE",
"error": "service unavailable"
}ai
AI Completion
Generate AI completion using configured providers
POST
/
api
/
v1
/
ai
/
complete
AI Completion
Authorizations
JWT Bearer token authentication
Body
application/json
Completion request
Was this page helpful?
⌘I